Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon
Class OWSDomainType

    java.lang.Object
      org.deegree.owscommon.OWSDomainType

Direct Known Subclasses:
  CatalogueOutputSchemaParameter, CatalogueTypeNameSchemaParameter

    public class OWSDomainType

extends Object

Class representation of the type `ows:DomainType` defined in `owsOperationsMetadata.xsd` from the `OWS Common Implementation Specification 0.3`.

Author:
  Markus Schneider

Constructor Summary
`OWSDomainType(String name, OWSMetadata[] metadata)`
`OWSDomainType(String name, String[] values, OWSMetadata[] metadata)`

Method Summary
`OWSMetadata[]` | `getMetadata()`
`String` | `getName()`
`String[]` | `getValues()`
`void` | `setMetadata(OWSMetadata[] metadata)`
`void` | `setName(String name)`
`void` | `setValues(String[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSDomainType

    public OWSDomainType(String name,
                         OWSMetadata[] metadata)

Parameters:
  `name` -
  `metadata` -

### OWSDomainType

    public OWSDomainType(String name,
                         String[] values,
                         OWSMetadata[] metadata)

Parameters:
  `name` -
  `values` -
  `metadata` -

Method Detail

### getMetadata

    public OWSMetadata[] getMetadata()

  Returns:
    Returns the metadata.

### setMetadata

    public void setMetadata(OWSMetadata[] metadata)

  Parameters:
    `metadata` - The metadata to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getValues

    public String[] getValues()

  Returns:
    Returns the values.

### setValues

    public void setValues(String[] values)

  Parameters:
    `values` - The values to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org